=== debian/changelog ===
facter (3.14.12-1) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * New upstream version 3.14.9
  * Refresh d/patches

  [ Apollon Oikonomopoulos ]
  * New upstream version 3.14.12 (Closes: #962692, #970408)
    - Drop 0005-fix-custom-facts-overriding-core.patch; included upstream
    - Drop 0008-FACT-2018-update-gce-metadata-endpoint.patch; included upstream
    + Bump SONAME to libfacter3.14.12
  * Acknowledge the following NMUs:
    + 3.11.0-4.1; thanks to Antonio Terceiro (Closes: #956641)
    + 3.11.0-4.2; thanks to Sebastian Ramacher
    + 4.11.0-4.3; thanks to Sven Hoexter
      • Modify Sven's patch to use approximate matching for double tests,
        instead of picking initial values that are accurately represented in
        IEEE 754.
  * Bump dh compat to 13
  * Bump Standards-Version to 4.5.0; no changes needed
  * d/copyright: bump debian/* years
  * Skip the filesystem fact tests, as they are unreliable in
    chroots/containers

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 19 Sep 2020 10:33:29 +0300

facter (3.11.0-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: add 0008-FACT-2018-update-gce-metadata-endpoint.patch
    Switch Google GCE metadata endpoint from v1beta1 to final v1, the beta
    endpoint will be shutdown end of September 2020. (Closes: #966374)

 -- Sven Hoexter <hoexter@debian.org>  Tue, 28 Jul 2020 09:17:17 +0200

facter (3.11.0-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Fix tests with yaml-cpp 0.6.3 (Closes: #959573)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 17 Jun 2020 23:21:32 +0200

facter (3.11.0-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Add patch to not fail build when bundler is installed (Closes: #956300)
  * Add a dependency on the minimal Ruby version needed (Closes: #956301)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 13 Apr 2020 16:45:20 -0300
