=== debian/tests/control ===
Tests: run
Restrictions: allow-stderr
Depends: @

Tests: ruby
Restrictions: allow-stderr
Depends: facter, ruby

Tests: puppet
Restrictions: allow-stderr
Depends: facter, puppet
