## facter 4.2.13

=== debian/changelog ===
facter (4.2.13-2) unstable; urgency=medium

  * replace install.rb with dh ruby buildsystem (Closes: #978500)

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 13 Oct 2022 15:43:58 -0400

facter (4.2.13-1) unstable; urgency=medium

  [ Jérôme Charaoui ]
  * New upstream version 4.2.13
  * d/rules: revert to packaging facter as a Ruby gem
  * d/control:
    + adapt build-deps for ruby build
    + bump Standards-Version, no changes needed
    + add myself to Uploaders
    + reintroduce previous Recommends
    - relax ruby dep, remove gencontrol script
    - drop shared library and dev packages
  * d/copyright: update copyrights
  * d/patches: drop C++ patches, add fix for install.rb
  * d/tests: use new puppet agent package name
  * d/watch: switch to git mode
  * d/NEWS: add entry for 4.2.13-1 release

  [ Micah Anderson ]
  * Remove myself from debian/control Uploaders field

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 13 Oct 2022 09:31:15 -0400

facter (3.14.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild for Ruby 3.0.
  * d/control (Build-Depends): Make sure to build against libleatherman-dev
    version fixed to build with GCC 11.
  * d/gen-ruby-dependency: Fix dependency creation.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 04 Dec 2021 07:45:47 +0100
