=== debian/control ===
Source: facter
Section: admin
Priority: optional
Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Uploaders:
 Andrew Pollock <apollock@debian.org>,
 Stig Sandbeck Mathisen <ssm@debian.org>,
 Apollon Oikonomopoulos <apoikos@debian.org>,
 Jérôme Charaoui <jerome@riseup.net>,
Build-Depends:
 debhelper-compat (= 13),
 gem2deb,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/puppet-team/facter.git
Vcs-Browser: https://salsa.debian.org/puppet-team/facter
Homepage: https://github.com/puppetlabs/facter
XS-Ruby-Versions: all

Package: facter
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends:
 ${ruby:Depends},
 ${misc:Depends},
Recommends: pciutils, dmidecode, virt-what
Description: collect and display facts about the system
 Facter is Puppet’s cross-platform system profiling library. It discovers and
 reports per-node facts, which are collected by the Puppet agent and are made
 available in Puppet manifests as variables. Facter comes with a number of
 built-in facts providing information about the operating system, hardware, SSH
 keys, etc., but is also easily extensible through the following interfaces:
 .
  * Through custom facts using Facter's Ruby API.
  * Through `external' facts which can be either executables, or static data
    files.
 .
 This package contains the facter binary and the ruby module making facter
 available to Puppet.
