=== debian/tests/control ===
--- 
+++ 
@@ -8,4 +8,4 @@
 
 Tests: puppet
 Restrictions: allow-stderr
-Depends: facter, puppet
+Depends: facter, puppet-agent
