## facter 4.3.0

=== debian/changelog ===
facter (4.3.0-2) unstable; urgency=medium

  * d/control: add ruby-sys-filesystem to Recommends
  * d/control: remove obsolete X*-Ruby-Versions fields
  * d/patches: add patch to fix paths for debian
  * d/patches: add patch to improve manpage
  * d/tests: test config file, external facts and cache

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 22 Feb 2023 15:41:04 -0500

facter (4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0
  * d/control: bump Standards-Version, no changes needed
  * d/control: add Rules-Requires-Root: no

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 10 Feb 2023 14:36:38 -0500
