=== debian/control ===
--- 
+++ 
@@ -10,19 +10,22 @@
 Build-Depends:
  debhelper-compat (= 13),
  gem2deb,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/puppet-team/facter.git
 Vcs-Browser: https://salsa.debian.org/puppet-team/facter
 Homepage: https://github.com/puppetlabs/facter
-XS-Ruby-Versions: all
+Rules-Requires-Root: no
 
 Package: facter
 Architecture: all
-XB-Ruby-Versions: ${ruby:Versions}
 Depends:
+ ${misc:Depends},
  ${ruby:Depends},
- ${misc:Depends},
-Recommends: pciutils, dmidecode, virt-what
+Recommends:
+ dmidecode,
+ pciutils,
+ ruby-sys-filesystem,
+ virt-what,
 Description: collect and display facts about the system
  Facter is Puppet’s cross-platform system profiling library. It discovers and
  reports per-node facts, which are collected by the Puppet agent and are made
