=== debian/tests/control ===
Tests: run
Restrictions: allow-stderr, needs-root
Depends:
 @,

Tests: ruby
Restrictions: allow-stderr
Depends:
 facter,
 ruby,

Tests: puppet
Restrictions: allow-stderr
Depends:
 facter,
 puppet-agent,
