## facter 4.6.1

=== debian/changelog ===
facter (4.6.1-1) unstable; urgency=medium

  [ Jérôme Charaoui ]
  * New upstream version 4.6.1 (Closes: #1026354)
  * d/patches: refresh for new upstream version
  * d/patches: fix patch hunk mixup
  * run spec tests during build

  [lintian-brush]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 16 Mar 2024 09:15:50 -0400
