=== debian/control ===
--- 
+++ 
@@ -10,6 +10,10 @@
 Build-Depends:
  debhelper-compat (= 13),
  gem2deb,
+ ruby-hocon <!nocheck>,
+ ruby-rspec <!nocheck>,
+ ruby-thor <!nocheck>,
+ ruby-webmock <!nocheck>,
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/puppet-team/facter.git
 Vcs-Browser: https://salsa.debian.org/puppet-team/facter
