## facter 4.8.0

=== debian/changelog ===
facter (4.8.0-1) unstable; urgency=medium

  * New upstream version 4.8.0
  * d/control: bump Standards-Version, no changes needed
  * d/patches: refresh patches for new upstream version
  * d/patches: new patch to relax ruby-thor dependency

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 30 Aug 2024 23:49:27 -0400
