## facter 4.10.0

=== debian/changelog ===
facter (4.10.0-1) unstable; urgency=medium

  * New upstream version 4.10.0
  * d/tests: add gem dependency check
  * d/watch: switch to recommended github pattern

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 25 Nov 2024 20:13:06 -0500
