=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  ruby-rspec <!nocheck>,
  ruby-thor <!nocheck>,
  ruby-webmock <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/puppet-team/facter.git
 Vcs-Browser: https://salsa.debian.org/puppet-team/facter
 Homepage: https://github.com/puppetlabs/facter
