=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,3 @@
 
 %:
 	dh $@ --buildsystem=ruby --with ruby
-
