=== debian/tests/control ===
--- 
+++ 
@@ -14,3 +14,8 @@
 Depends:
  facter,
  puppet-agent,
+
+Test-Command: ruby -e "gem 'facter'"
+Features: test-name=gem
+Depends:
+ facter,
